-- Novell eDirectory Instrumentation for Novell Audit - Schema Definition
--
-- Novell Inc.
-- 1800 South Novell Place
-- Provo, UT 84606-6194

-- VeRsIoN=NsureAudit 2.x
-- CoPyRiGhT=(c) Copyright 2008, Novell, Inc.  All rights reserved
--
-- $Revision:   1.0  $
-- $Modtime:   21 Apr 2008 04:03:10  $
-- $Author:   K Vinayagamoorthy  $
--

NAuditSchemaExtentions DEFINITIONS ::=
BEGIN

-------------------------------------------------------------------------------
-- Special attributes
--

-- Attribute for instrumentation settings
"NAuditInstrumentation" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 347 4 79}
}

-- Link from NCP server object to Secure Logging Server (used for bootstrapping)
"NAuditLoggingServer" ATTRIBUTE ::=
{
	SyntaxID	SYN_DIST_NAME,
	Flags       {DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID   {2 16 840 1 113719 1 347 4 2}
}


------------------------------------------
-- New Object Classes
------------------------------------------
------------------------------------------

-- We need the attribute on the NCP server to bootstrap ourselves
"NCP Server" OBJECT-CLASS ::=
{
	Operation       MODIFY,
	MayContain  {
		"NAuditLoggingServer",
		"NAuditInstrumentation"
	}
}

END
